## org.jfree.report.modules.gui.swing.common
Class ActionPluginMenuComparator

    java.lang.Object
      org.jfree.report.modules.gui.swing.common.ActionPluginMenuComparator

All Implemented Interfaces:
  java.util.Comparator

    public class ActionPluginMenuComparator

extends java.lang.Object
implements java.util.Comparator

Creation-Date: 16.11.2006, 16:50:39

Author:
  Thomas Morgner

Constructor Summary
`ActionPluginMenuComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Compares its two arguments for order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ActionPluginMenuComparator

    public ActionPluginMenuComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Compares its two arguments for order. Returns a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.

  The implementor must ensure that `sgn(compare(x, y)) == -sgn(compare(y, x))` for all `x` and `y`. (This implies that `compare(x, y)` must throw an exception if and only if `compare(y, x)` throws an exception.)

  The implementor must also ensure that the relation is transitive: `((compare(x, y)>0) && (compare(y, z)>0))` implies `compare(x, z)>0`.

  Finally, the implementer must ensure that `compare(x, y)==0` implies that `sgn(compare(x, z))==sgn(compare(y, z))` for all `z`.

  It is generally the case, but not strictly required that `(compare(x, y)==0) == (x.equals(y))`. Generally speaking, any comparator that violates this condition should clearly indicate this fact. The recommended language is "Note: this comparator imposes orderings that are inconsistent with equals."

  Specified by:
    `compare` in interface `java.util.Comparator`
  Parameters:
    `o1` - the first object to be compared.
    `o2` - the second object to be compared.
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
  Throws:
    `java.lang.ClassCastException` - if the arguments' types prevent them from being compared by this Comparator.